QGIS Application - Feature request #7681
double left click on CRS Selector window's list items should behave as having clicked on ok
2013-04-22 09:25 PM - Mathieu Pellerin - nIRV

Status: Closed

Priority: Low

Assignee:

Category:

Pull Request or Patch supplied: Resolution: fixed/implemented
Easy fix?: No Copied to github as #: 16598
Description

In short, double clicking on an item to select / activate it is a well-established behavior. It would be nice for the CRS selector window to
consider double left clicks on list items as having clicked on the Ok button.

History

#1 - 2013-04-23 10:15 AM - Larry Shaffer

+1 for fixing this. | find myself doing it all the time: double-clicking, sighing, then having to mouse down and click OK. Should be simple to implement, but
there is the question of whether it should be for both the recent listing as well as the main listing (I'm thinking yes, it should be on both). Double-clicking on a
non-existent recent CRS (if that is possible) should silently fail, or possibly just use it as is (if that is possible or reasonable to do; obviously not for use the
CRS for on-the-fly transformations).

#2 - 2015-12-14 08:40 PM - Mathieu Pellerin - nIRV
- Resolution set to fixed/implemented

- % Done changed from 0 to 100

- Status changed from Open to Closed

Fixed commit:34ccc34
